% Simulation eines gekoppelten Schwingers
% von Stephan Senn

% Massen in [kg]
m1=1.01;
m2=1;

% Federkonstanten in [N/cm]
k10=10;
k12=1;
k20=10;

A=[0 1 0 0; -((k10+k12)/m1) 0 k12/m1 0; 0 0 0 1; k12/m2 0 -((k20+k12)/m2) 0]
B=[0;0;0;0];
C=[1 0 0 0;0 0 1 0];
D=[0;0];
sys=ss(A,B,C,D);
pol=pole(sys);
pol
x0=[1;0;1;0]; % Anfangsbedingung x1 und x2 festlegen!
%initial(sys,x0);
[Y,T,X]=initial(sys,x0);
plot(Y(:,1:1),Y(:,2:2))
xlabel('x1 in [m]');
ylabel('x2 in [m]');
title('Auslenkung des Systems');
%plot(X(:,1:1),X(:,2:2))
%[V1,D1]=eig(A);
%[V2,D2]=eig(A*A);
%V1
%D1
%V2
%D2