% Trajektorien
% Laborbung 5
% von Stephan Senn

loop=1;
while loop
  hold off  

k = menu('Alle Systeme sind von der Ordnung 2. Whlen Sie ein System:','stabiles System mit reellen Polstellen','instabiles System mit reellen Polstellen','metastabiles System mit reellen Polstellen','System mit rein imaginren Polstellen','stabiles System mit komplexen Polstellen','instabiles System mit komplexen Polstellen','Beenden')
clf
switch k

case 1
    A=[-2 -1;-2 -3];
    [v d]=eig(A);
    disp('Eigenvektoren:');
    v
    disp('Eigenwerte:');
    d
    B=[0 0;0 0];
    C=[1 0;0 1];
    D=0;
    sys1=ss(A,B,C,D);
  
    for i=-10:1:10                
    x0=[i;1];
    [xx,t]=initial(sys1,x0,5);
    plot(xx(:,1),xx(:,2),'g')
    hold on
    end
    for i=-10:1:10
    x0=[i;-1];
    [xx,t]=initial(sys1,x0,5);
    plot(xx(:,1),xx(:,2),'m')
    hold on
    end
    title('Trajektorien: stabiles reelles System');
    xlabel('Polstellen bei: (-1,0),(-4,0)');
    
    but=1;
    
    disp('Trajektorien zeichnen:');
    disp('Linke Maustaste an einem Koordinatenpunkt drcken.');
    disp('Zum Beenden Rechte Maustaste drcken.');
    while but == 1
    [x0,y0,but] = ginput(1); 
    plot(x0,y0,'ro')
    [xx,t]=initial(sys1,[x0;y0]);
    plot(xx(:,1),xx(:,2),'b')
    end
    
case 2
    A=[2 1;2 3];
    [v d]=eig(A);
    disp('Eigenvektoren:');
    v
    disp('Eigenwerte:');
    d
    B=[0 0;0 0];
    C=[1 0;0 1];
    D=0;
    sys2=ss(A,B,C,D);
  
    for i=-1:0.1:1                
    x0=[i;0.1];
    [xx,t]=initial(sys2,x0,1);
    plot(xx(:,1),xx(:,2),'g')
    hold on
    end
    for i=-1:0.1:1
    x0=[i;-0.1];
    [xx,t]=initial(sys2,x0,1);
    plot(xx(:,1),xx(:,2),'m')
    hold on
    end
    title('Trajektorien: instabiles reelles System');
    xlabel('Polstellen bei: (1,0),(4,0)');
    zoom(5);
    
    but=1;
    
    disp('Trajektorien zeichnen:');
    disp('Linke Maustaste an einem Koordinatenpunkt drcken.');
    disp('Zum Beenden Rechte Maustaste drcken.');
    while but == 1
    [x0,y0,but] = ginput(1); 
    plot(x0,y0,'ro')
    [xx,t]=initial(sys2,[x0;y0]);
    plot(xx(:,1),xx(:,2),'b')
    end
    
case 3
    A=[-3 -2;2 2];
    [v d]=eig(A);
    disp('Eigenvektoren:');
    v
    disp('Eigenwerte:');
    d
    B=[0 0;0 0];
    C=[1 0;0 1];
    D=0;
    sys3=ss(A,B,C,D);
   
    for i=-5:0.5:5                
    x0=[i;1];
    [xx,t]=initial(sys3,x0,2);
    plot(xx(:,1),xx(:,2),'g')
    hold on
    end
    for i=-5:0.5:5
    x0=[i;-1];
    [xx,t]=initial(sys3,x0,2);
    plot(xx(:,1),xx(:,2),'m')
    hold on
    end 
    title('Trajektorien: metastabiles reelles System');
    xlabel('Polstellen bei: (-2,0),(1,0)  Es handelt sich hier um einen Sattelpunkt!');
    zoom(2);
    
    but=1;
    
    disp('Trajektorien zeichnen:');
    disp('Linke Maustaste an einem Koordinatenpunkt drcken.');
    disp('Zum Beenden Rechte Maustaste drcken.');
    while but == 1
    [x0,y0,but] = ginput(1); 
    plot(x0,y0,'ro')
    [xx,t]=initial(sys3,[x0;y0]);
    plot(xx(:,1),xx(:,2),'b')
    end
    
case 5
    A=[2 -3;6 -4];
    [v d]=eig(A);
    disp('Eigenvektoren:');
    v
    disp('Eigenwerte:');
    d
    B=[0 0;0 0];
    C=[1 0;0 1];
    D=0;
    sys4=ss(A,B,C,D);
   
    for i=-5:0.5:5                
    x0=[i;1];
    [xx,t]=initial(sys4,x0,2);
    plot(xx(:,1),xx(:,2),'g')
    hold on
    end
    for i=-5:0.5:5
    x0=[i;-1];
    [xx,t]=initial(sys4,x0,2);
    plot(xx(:,1),xx(:,2),'m')
    hold on
    end 
    title('Trajektorien: stabiles komplexes System');
    xlabel('Polstellen bei: (-1,3),(-1,-3)');
    
    but=1;
    
    disp('Trajektorien zeichnen:');
    disp('Linke Maustaste an einem Koordinatenpunkt drcken.');
    disp('Zum Beenden Rechte Maustaste drcken.');
    while but == 1
    [x0,y0,but] = ginput(1); 
    plot(x0,y0,'ro')
    [xx,t]=initial(sys4,[x0;y0]);
    plot(xx(:,1),xx(:,2),'b')
    end
    
case 4
    A=[-1 2;-5 1];
    [v d]=eig(A);
    disp('Eigenvektoren:');
    v
    disp('Eigenwerte:');
    d
    B=[0 0;0 0];
    C=[1 0;0 1];
    D=0;
    sys5=ss(A,B,C,D);
   
    for i=-5:0.5:5                
    x0=[i;1];
    [xx,t]=initial(sys5,x0,2);
    plot(xx(:,1),xx(:,2),'g')
    hold on
    end
    for i=-5:1:5
    x0=[i;-1];
    [xx,t]=initial(sys5,x0,2);
    plot(xx(:,1),xx(:,2),'m')
    hold on
    end 
    title('Trajektorien: stabiles komplexes System');
    xlabel('Polstellen bei: (0,3),(0,-3)');
    
    but=1;
    
    disp('Trajektorien zeichnen:');
    disp('Linke Maustaste an einem Koordinatenpunkt drcken.');
    disp('Zum Beenden Rechte Maustaste drcken.');
    while but == 1
    [x0,y0,but] = ginput(1); 
    plot(x0,y0,'ro')
    [xx,t]=initial(sys5,[x0;y0]);
    plot(xx(:,1),xx(:,2),'b')
    end
    
case 6
    A=[-2 3;-6 4];
    [v d]=eig(A);
    disp('Eigenvektoren:');
    v
    disp('Eigenwerte:');
    d
    B=[0 0;0 0];
    C=[1 0;0 1];
    D=0;
    sys6=ss(A,B,C,D);
   
    for i=-5:0.5:5                
    x0=[i;1];
    [xx,t]=initial(sys6,x0,2);
    plot(xx(:,1),xx(:,2),'g')
    hold on
    end
    for i=-5:0.5:5
    x0=[i;-1];
    [xx,t]=initial(sys6,x0,2);
    plot(xx(:,1),xx(:,2),'m')
    hold on
    end 
    title('Trajektorien: instabiles komplexes System');
    xlabel('Polstellen bei: (1,3),(1,-3)');
    
    but = 1;
    
    disp('Trajektorien zeichnen:');
    disp('Linke Maustaste an einem Koordinatenpunkt drcken.');
    disp('Zum Beenden Rechte Maustaste drcken.');
    while but == 1
    [x0,y0,but] = ginput(1); 
    plot(x0,y0,'ro')
    [xx,t]=initial(sys6,[x0;y0]);
    plot(xx(:,1),xx(:,2),'b')
    end
    
    
case 7
    loop=0;
end

end