% Trajektorien
% Laborbung 5

loop=1;
while loop
  hold off  

k = menu('Choose a system','2-nd Order complex','2-nd Order real','3-rd Order mixed','finished')
clf
switch k

case 1    
% Konjugiert komplexer Paar von EW

A=[-.2 -10;  .1 -.2];  T=[1 -1; 1 1]; A=T*A/T;
%A=[0 1 ; -1.0025 -.1]
b=[1;2]; c=eye(2); dd=0;

sys = ss( A,b,c,dd);                  % Objekt sys
[xx,t]=initial(sys,[1;0]);            % Simulation mit AB  x(0)= [1  -1]'
plot(xx(:,1),xx(:,2))
axis('equal')
hold on 

% Loop, picking up the points.
disp('More trajectory ?')
disp('Left mouse button picks initial conditions.')
disp('Right mouse button picks last point.')
but = 1;
while but == 1
    [x0,y0,but] = ginput(1); 
    plot(x0,y0,'ro')
    [xx,t]=initial(sys,[x0;y0]);
    plot(xx(:,1),xx(:,2),'c')
end
hold off

% Wir analysieren nun das System:
pole(sys);




%------------------------------------------------------------------------------------------------
case 2
clf
% zwei reelle stabile EW - Phasenebene

A=[0 1; -3 -4];                  % Systemdefinition
[v,d]=eig(A);
b=[1;2]; c=eye(2); dd=0;
sys = ss( A,b,c,dd);             % Objekt sys

[xx,t]=initial(sys,[0;1],6,'visible','off');
plot(xx(:,1),xx(:,2),'g')
hold on

title('Trajektorien 2-ter Ordnung, reelle Wurzeln')
for i=-.8:.4:.6                 % Plot von verschiedenen Anfangsbedingungen aus
    x0=[i;1];
  [xx,t]=initial(sys,x0,6);
  plot(xx(:,1),xx(:,2),'g')
end
for i=-0.6:.4:0.8
    x0=[i;-1];
  [xx,t]=initial(sys,x0,6);
  plot(xx(:,1),xx(:,2),'m')
end

% Loop, picking up the points.
disp('More trajectory?')
disp('Left mouse button picks initial conditions.')
disp('Right mouse button picks last point.')
disp('Find the eigenvectors ')
but = 1;
while but == 1
    [x0,y0,but] = ginput(1); 
    plot(x0,y0,'ro')
    [xx,t]=initial(sys,[x0;y0],6);
    plot(xx(:,1),xx(:,2),'c')
end
disp('Look for eigenvectors')
% 
% 
[xx,t]=initial(sys,v(:,1),6);
plot(xx(:,1), xx(:,2),'b')
% [xx,t]=initial(sys,-v(:,1),6);
% plot(xx(:,1), xx(:,2),'b')
% [xx,t]=initial(sys,v(:,2),6);
% plot(xx(:,1), xx(:,2),'r')
% [xx,t]=initial(sys,-v(:,2),6);
% plot(xx(:,1), xx(:,2),'r')
hold off

%------------------------------------------------------------------------------------------------

case 3   %      ein konj. komplexer Polpaar; ein stabiler EW
%               drei verschiedene Versuche mit a33=-1 ; -.1; - 0.01

A=[-.05     -1     4            % System definition
      1    -.05     2
      0      0     -1]; 
T=[1 0 0; 0 1 0; -.1 0 1]; A=T*A/T;
b=[1 0 1]';       
c=eye(3); dd=0;
sys = ss( A,b,c,dd);           % Objekt sys

x0=[1;1;1];                   % Anfangsbedingungen
initial(sys,x0)               % Simulation mit AB x(0)= [1 0 0]'
[xx,t]=initial(sys,x0,250);

 plot3(xx(:,1),xx(:,2),xx(:,3))
 hold on
 zp=axis;
  [X,Y]=meshgrid(zp(1):zp(2),zp(3):zp(4));
  mesh(X,Y,0*X.*Y)
  zz=[0;0];
  plot3([zp(1);zp(2)],zz,zz,'r',zz,[zp(3);zp(4)],zz,'r')
hold off

case 4 
loop=0;
end

%-------------------------------------------------------------------------------------------------
end