% Van der Pole-Oszillator
% von Stephan Senn, D-ITET

clf     % Clear Figure
ts = [0; 4000]; % Zeitbasis ts in [s]
x0=[2; 0];
[T,X] = ode15s(@vanpole,ts,x0);

plot(X(:,1),X(:,2),'b');
title('Van der Pole - Phasenebene');
xlabel('x(t)');
ylabel('dot x(t)');
grid on;

figure;
plot(T,X(:,1),'b');
title('Van der Pole - Zeitdiagramm');
xlabel('t');
ylabel('x(t)');
grid on;